Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.appflow.processor
Class AbstractPortalPersonalizationProcessor

    java.lang.Object
      com.bea.portal.appflow.processor.AbstractPortalProcessor
          com.bea.portal.appflow.processor.AbstractPortalPersonalizationProcessor

All Implemented Interfaces:
  com.bea.p13n.appflow.webflow.InputProcessor

Direct Known Subclasses:
  LogoutProcessor

Deprecated. com.bea.portal is only useful in the compatibility domain. For the new portal framework please use the classes under the com.bea.netuix package

public abstract class AbstractPortalPersonalizationProcessor
extends AbstractPortalProcessor

AbtractPortalPersonalization is a generic processor (input processor) used to assist processors that wish to mutate the PortalPersonalization.

Constructor Summary
`AbstractPortalPersonalizationProcessor()` Deprecated. Default constructor (called by webflow) - session sensitive as it calls `super(true)`.

Method Summary
`static MutablePortletPersonalization` | `getCurrentPortletPersonalization(PortalRequest portalRequest, MutablePortalPersonalization portalP13n)` Deprecated. Retrieve an instance of the current MutablePortletPersonalization.
`static MutablePortalPersonalization` | `getMutablePortalPersonalization(PortalRequest portalRequest)` Deprecated. Return an instance of the Mutable Portal Personalization.
`abstract Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, MutablePortalPersonalization portalPersonalization, Object requestContext)` Deprecated. Processors extending this class must provide an implementation for this method.
`Object` | `process(HttpServletRequest request, HttpServletResponse response, PortalRequest portalRequest, Object requestContext)` Deprecated. Process method called on by webflow.
`static void` | `setMutablePortalPersonalization(PortalRequest portalRequest, MutablePortalPersonalization portalP13n)` Deprecated. Persist the PortalPersonalization into the database.

Methods inherited from class com.bea.portal.appflow.processor.AbstractPortalProcessor
`getCurrentPortletState, process`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPortalPersonalizationProcessor

    public AbstractPortalPersonalizationProcessor()

  Deprecated.
  Default constructor (called by webflow) - session sensitive as it calls `super(true)`.

Method Detail

### getCurrentPortletPersonalization

    public static MutablePortletPersonalization getCurrentPortletPersonalization(PortalRequest portalRequest,
                                                                                 MutablePortalPersonalization portalP13n)
                                                                          throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Retrieve an instance of the current MutablePortletPersonalization.

  Returns:
    mutable PortletPersonalization.
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException` - if cannot get the PagePersonalization from the PortalPersonalization, or the could get the PortletPersonalization from the PagePersonalization.

### getMutablePortalPersonalization

    public static MutablePortalPersonalization getMutablePortalPersonalization(PortalRequest portalRequest)
                                                                        throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Return an instance of the Mutable Portal Personalization. Anonymous users will get a ProcessingException if calling this method.

  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException` - if cannot get the profileIdentity from the PortalSession, or the could not get the MutablePortalPersonalization from the PortalManager

### process

    public abstract Object process(HttpServletRequest request,
                                   HttpServletResponse response,
                                   PortalRequest portalRequest,
                                   MutablePortalPersonalization portalPersonalization,
                                   Object requestContext)
                            throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Processors extending this class must provide an implementation for this method.

  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException` - per calling implementing subclass

### process

    public Object process(HttpServletRequest request,
                          HttpServletResponse response,
                          PortalRequest portalRequest,
                          Object requestContext)
                   throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Process method called on by webflow. Don't override this method. This in turn will call

           public abstract Object process(HttpServletRequest request,
                                    HttpServletResponse response,
                                    PortalRequest portalRequest,
                                    MutablePortalPersonalization portalPersonalization,
                                    Object requestContext)

  Specified by:
    `process` in class `AbstractPortalProcessor`
  Returns:
    return the results of the above subclasses process method.
  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException` - as the subclasses process method can throw it.

### setMutablePortalPersonalization

    public static void setMutablePortalPersonalization(PortalRequest portalRequest,
                                                       MutablePortalPersonalization portalP13n)
                                                throws com.bea.p13n.appflow.exception.ProcessingException

  Deprecated.
  Persist the PortalPersonalization into the database. Anonymous users will get a ProcessingException if calling this method.

  Throws:
    `com.bea.p13n.appflow.exception.ProcessingException` - if cannot get the profileIdentity from the PortalSession, or the could not update the MutablePortalPersonalization with the PortalManager

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved